2024-07-14 00:19 CEST

View Issue Details Jump to Notes ]
IDProjectCategoryView StatusLast Update
0005464BodyBlows[WHDLoad Installs Games] slavepublic2023-03-18 20:35
Reporterlordelessar 
Assigned ToCFOUProject InfoBody Blows (Team 17)
http://www.whdload.de/games/BodyBlows.html
 
PriorityhighSeveritymajorReproducibilityalways
StatusresolvedResolutionfixed 
Summary0005464: Body Blows AGA timer dont work
DescriptionBody Blows Aga version (SPS 1322). The timer does not work properly in the game. The timer is black and you can't see the time running out.
Winuae 4.9 stable
Whdload 18.7
I tested the game on OS 3.9 (A4000 configuration) and BetterWorkench (A1200 configuration). The same situation.
Steps To ReproduceStart first battle.
TagsNo tags attached.
MachineUAE
CPU68040
CPUSpeed14
ChipSetAGA
GFXCardOther
ChipMem2 MB
FastMem0 MB
WorkbenchOS 3.9
KickROM40 - Kick 3.1
KickSoftNone
WHDLoad18.7
imported
Attached Files

-Relationships
+Relationships

-Notes

note ~0011073

CFOU (developer)

to verify on real 030-060

note ~0011077

lordelessar (reporter)

Here are the screenshots of how it looks:
https://www.lemonamiga.com/games/details.php?id=2203
And here is what it should look like in the movie:
https://www.youtube.com/watch?v=5mu7vCoUeFo
I would be grateful if you can fix it.

note ~0011246

lordelessar (reporter)

I found something like this:
BodyBlows_v1.0_AGA_HD_JOTD
Unfortunately, this is not the whdload version. After setting the parameters in UAE, the game and the TIMER itself work perfectly. However, my system works with JIT, so the game itself is tttooooo fast. Manual setup is quite a pain every time. As for the whdload version on a real Amiga, a game above 020 will surely work for UAE - too fast. Without Timer, the game is pointless, you don't know what you get points for and when the fight is over.
I am posting an HD version which has files instead of a floppy disk image. Maybe it could be made into whdload.

https://mega.nz/folder/gdozjZxL#uI5SheetsAd-NYKMeRjf2A/file/xQAnjAbJ

note ~0012522

CFOU (developer)

same problem on winuae with JST 1.0

i will looks that soon

note ~0012523

CFOU (developer)

tested on real a1200+060

On this configuration time works fine but sprite colors are badly initialised.

Time counter sprites seems enabled before another sprites (during loading perhaps)

It's perhaps synchro problem because loading is too quick. and sprite aga colors are not finished?

To verify....

note ~0012524

CFOU (developer)

Hi can you test beta slave?

Time counter is BLue instead of Red for test....

note ~0012525

CFOU (developer)

fixed with v2.1
+ countdown color selection via CUSTTOM3

note ~0012526

lordelessar (reporter)

Options menu and player selection screen works fine.
During the fight itself, the entire screen is green and pink. The graphics also flicker quite intensively. The timer itself works fine.

note ~0012527

CFOU (developer)

Pink or Green full screen?
i can not reproduct it.

tested on real Blizzard a1200+060 and UAE AGA & RTG config (a1200&a4000)

attached last package with color selection with custom=3

note ~0012528

lordelessar (reporter)

I found the problem. The game displays the graphics correctly in the lores and hires modes. In superhires it causes artifacts and screen flickering.
This is how it looks in superhires:
https://www.youtube.com/watch?v=xBUE5KpEvpc
Thanks for the new installer.
+Notes

-Issue History
Date Modified Username Field Change
2022-01-06 23:40 lordelessar New Issue
2022-01-08 23:22 JOTD Assigned To => CFOU
2022-01-08 23:22 JOTD Status new => assigned
2022-04-04 11:23 CFOU Note Added: 0011073
2022-04-04 23:07 lordelessar Note Added: 0011077
2022-04-28 12:34 lordelessar Note Added: 0011246
2023-03-17 11:40 CFOU Note Added: 0012522
2023-03-17 13:30 CFOU Note Added: 0012523
2023-03-17 19:18 CFOU File Added: BB_AGA_Timetest.lha
2023-03-17 19:18 CFOU Note Added: 0012524
2023-03-17 22:41 CFOU Status assigned => resolved
2023-03-17 22:41 CFOU Resolution open => fixed
2023-03-17 22:41 CFOU Note Added: 0012525
2023-03-18 07:07 lordelessar Note Added: 0012526
2023-03-18 11:24 CFOU File Added: BodyBlows.lha
2023-03-18 11:24 CFOU Note Added: 0012527
2023-03-18 20:35 lordelessar Note Added: 0012528
+Issue History